ru.bitel.bgbilling.kernel.base.server.datalog.hourly

## Class HourlyLogFileUtils

- java.lang.Object
- - ru.bitel.bgbilling.kernel.base.server.datalog.hourly.HourlyLogFileUtils

-     public class HourlyLogFileUtils
      extends java.lang.Object

  Утилита работы с логами

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HourlyLogFileUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `getLogExistsForMonth(ParameterMap setup, java.lang.String key, java.util.Date month, int sourceId)` Получение информации о наличии логов.
    `static java.util.List<java.io.File>` | `getLogFile(java.io.File path, java.util.Calendar hour)`
    `static java.util.List<java.io.File>` | `getLogFile(ParameterMap setup, java.lang.String key, int sourceId, java.util.Calendar hour)`
    `static java.io.File` | `getNextFileToWrite(ParameterMap setup, int sourceId, java.util.Calendar hour, int[] idRef)` Deprecated.
    `static java.io.File` | `getNextFileToWrite(ParameterMap setup, java.lang.String logDirParamName, int sourceId, java.util.Calendar hour, int[] idRef)`
    `protected static java.lang.String` | `getPath(ParameterMap setup, java.lang.String key, int sourceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HourlyLogFileUtils

          public HourlyLogFileUtils()

  - ### Method Detail

    - #### getLogFile

          public static final java.util.List<java.io.File> getLogFile(java.io.File path,
                                                                      java.util.Calendar hour)

    - #### getLogFile

          public static final java.util.List<java.io.File> getLogFile(ParameterMap setup,
                                                                      java.lang.String key,
                                                                      int sourceId,
                                                                      java.util.Calendar hour)

    - #### getPath

          protected static java.lang.String getPath(ParameterMap setup,
                                                    java.lang.String key,
                                                    int sourceId)

    - #### getLogExistsForMonth

          public static final int[] getLogExistsForMonth(ParameterMap setup,
                                                         java.lang.String key,
                                                         java.util.Date month,
                                                         int sourceId)

      Получение информации о наличии логов. Поддерживаются логи: нового формата 1. Новый формат * + yyyy/ + yyyy-MM/ + yyyy-MM-dd/ + log_yyyy-MM-dd-HH.nnn.bgdl 2. flow-tools .*yyyy-MM-dd.HH.
      Parameters:
        `setup` -
        `key` -
        `month` -
        `sourceId` -
      Returns:
        массив из 31-го элемента, где каждый элемент это один день месяца , представляет собой битовая маска , где каждый включеный бит означет час (т.е 5 (101 в двоичной) - это наличе логов за 0-вой и 2-ой часы).

    - #### getNextFileToWrite

          @Deprecated
          public static final java.io.File getNextFileToWrite(ParameterMap setup,
                                                                          int sourceId,
                                                                          java.util.Calendar hour,
                                                                          int[] idRef)

      Deprecated.

    - #### getNextFileToWrite

          public static final java.io.File getNextFileToWrite(ParameterMap setup,
                                                              java.lang.String logDirParamName,
                                                              int sourceId,
                                                              java.util.Calendar hour,
                                                              int[] idRef)